folders
6 endpoints.
get/api/folders#
curl https://api.shairelabs.com/api/folders \
-H "Authorization: Bearer $SHAIRE_TOKEN"idstring · uuid*workspaceIdstring · uuid*parentIdstring · uuid | null*namestring*pathstring*positionstring*statusGroupIdstring · uuid | null*effectiveStatusGroupIdstring · uuid*tagGroupIds(string · uuid)[]*effectiveTagGroupIds(string · uuid)[] | null*privateboolean*protectedboolean*effectiveProtectedboolean*glyphstring | null*createdAtstring*post/api/folders#
namestring*parentIdstring · uuid | nullafterIdstring · uuid | nullstatusGroupIdstring · uuid | nullcurl https://api.shairelabs.com/api/folders \
-X POST \
-H "Authorization: Bearer $SHAIRE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"example"}'idstring · uuid*workspaceIdstring · uuid*parentIdstring · uuid | null*namestring*pathstring*positionstring*statusGroupIdstring · uuid | null*effectiveStatusGroupIdstring · uuid*tagGroupIds(string · uuid)[]*effectiveTagGroupIds(string · uuid)[] | null*privateboolean*protectedboolean*effectiveProtectedboolean*glyphstring | null*createdAtstring*patch/api/folders/{id}#
idstring*namestringglyphstring | nullclipboard-listflagkanbanlayout-listlist-checksmilestonetabletargetbriefcasebuildingchart-barchart-piehandshakepresentationtrending-upusersbugcloudcodecpudatabasegit-branchserverterminalhammerkeylockpackageplugsettingsshieldwrenchbrushcameraimagelayersmusicpalettepen-toolvideobellinboxmailmegaphonemessage-squaremicphonesendawardcredit-carddollar-signgiftreceiptshopping-carttrophytruckbook-opengraduation-capheartlightbulbrocketsparklesstarzapcurl https://api.shairelabs.com/api/folders/$FOLDER_ID \
-X PATCH \
-H "Authorization: Bearer $SHAIRE_TOKEN"idstring · uuid*workspaceIdstring · uuid*parentIdstring · uuid | null*namestring*pathstring*positionstring*statusGroupIdstring · uuid | null*effectiveStatusGroupIdstring · uuid*tagGroupIds(string · uuid)[]*effectiveTagGroupIds(string · uuid)[] | null*privateboolean*protectedboolean*effectiveProtectedboolean*glyphstring | null*createdAtstring*post/api/folders/{id}/move#
idstring*parentIdstring · uuid | null*afterIdstring · uuid | nullcurl https://api.shairelabs.com/api/folders/$FOLDER_ID/move \
-X POST \
-H "Authorization: Bearer $SHAIRE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"parentId":"00000000-0000-0000-0000-000000000000"}'idstring · uuid*workspaceIdstring · uuid*parentIdstring · uuid | null*namestring*pathstring*positionstring*statusGroupIdstring · uuid | null*effectiveStatusGroupIdstring · uuid*tagGroupIds(string · uuid)[]*effectiveTagGroupIds(string · uuid)[] | null*privateboolean*protectedboolean*effectiveProtectedboolean*glyphstring | null*createdAtstring*patch/api/folders/{id}/status-group#
idstring*statusGroupIdstring · uuid | null*curl https://api.shairelabs.com/api/folders/$FOLDER_ID/status-group \
-X PATCH \
-H "Authorization: Bearer $SHAIRE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"statusGroupId":"00000000-0000-0000-0000-000000000000"}'idstring · uuid*workspaceIdstring · uuid*parentIdstring · uuid | null*namestring*pathstring*positionstring*statusGroupIdstring · uuid | null*effectiveStatusGroupIdstring · uuid*tagGroupIds(string · uuid)[]*effectiveTagGroupIds(string · uuid)[] | null*privateboolean*protectedboolean*effectiveProtectedboolean*glyphstring | null*createdAtstring*put/api/folders/{id}/tag-groups#
idstring*tagGroupIds(string · uuid)[]*curl https://api.shairelabs.com/api/folders/$FOLDER_ID/tag-groups \
-X PUT \
-H "Authorization: Bearer $SHAIRE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"tagGroupIds":[]}'idstring · uuid*workspaceIdstring · uuid*parentIdstring · uuid | null*namestring*pathstring*positionstring*statusGroupIdstring · uuid | null*effectiveStatusGroupIdstring · uuid*tagGroupIds(string · uuid)[]*effectiveTagGroupIds(string · uuid)[] | null*privateboolean*protectedboolean*effectiveProtectedboolean*glyphstring | null*createdAtstring*